Description

The instructions for adding a new plugin (at http://plugins.qgis.org/) say to register a new plugin at 

https://issues.qgis.org/projects/qgis-user-plugins , however this page does not include a "New project" link.

The work-around is to go to the root project page (https://issues.qgis.org/projects) and create a new top-level project, which someone will

move under "User Plugins" project.

This is confusing because

1) No "New project" link on the page where it is expected

2) Author can hesitate to create a new top-level project (as happened to me)

Solution would be to update the link and docs, or simply add a "New project" link in the "User Plugins" project.

History

#1 - 2012-04-18 12:51 PM - Alessandro Pasotti

user etourigny has now edit rights, you can log into

http://plugins.qgis.org/admin/

and fix this in the plugins.qgis.org website.

#2 - 2012-04-18 01:09 PM - Etienne Tourigny

Thanks

however, I am not sure what to write there.  For my own project (Loop Visible Layers), I can create a subproject (because I am manager) and I can also set

is a a subproject of "User Plugins" (but I'm not sure this option was available when I created it initially or appeared after someone made my project a

subproject or "User Plugins").

Would it be possible to allow anyone to create a sub-project of "User Plugins"?  That would be the simplest way to fix this.

#3 - 2012-04-18 11:17 PM - Alessandro Pasotti

This is a bug in redmine, which is a different application from plugins.qgis.org.

Please move the bug there (sorry I can't find the tracker for qgis redmine now).

IIRC this bug has been filed several time in the last year, no solution so far.

What I suggest you is to improve the documentation in the home page of the website here:
http://plugins.qgis.org/
https://issues.qgis.org/projects/qgis-user-plugins
https://issues.qgis.org/projects
http://plugins.qgis.org/admin/


this is the entrypoint for editing the (home) page

http://plugins.qgis.org/admin/flatpages/flatpage/1/

but you can also add new pages and link from there or add menu items.

#4 - 2012-04-19 05:05 AM - Etienne Tourigny

I have updated the documentation and created bug #5414 for redmine. This bug can be closed (I can't do it).

#5 - 2012-04-19 05:19 AM - Alessandro Pasotti

- Status changed from Open to Closed
